Bug 1315190 - Can't upgrade to v3.2 by atomic-openshift-installer
Can't upgrade to v3.2 by atomic-openshift-installer
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Samuel Munilla
Anping Li
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 03:07 EST by Anping Li
Modified: 2016-05-12 12:31 EDT (History)
5 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.70-1.git.0.3f80411.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:31:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1064 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 3.2 security, bug fix, and enhancement update 2016-05-12 16:19:17 EDT

  None (edit)
Description Anping Li 2016-03-07 03:07:03 EST
Description of problem:
Migrate to next relese 3.2,  it was treated like a v3.1 minor upgrade task by  atomic-openshift-installer. 

Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.0.51

How reproducible:
always

Steps to Reproduce:
1.atomic-openshift-installer -c config/inst120.yaml  upgrade
2.
3.

Actual results:
1) # atomic-openshift-installer -c config/inst120.yaml  upgrade

        This tool will help you upgrade your existing OpenShift installation.

Version 3.1 found. Do you want to update to the latest version of 3.1 or migrate to the next major release?
(1) Update to latest 3.1 (2) Migrate to next relese: 2
Openshift will be upgraded from openshift-enterprise 3.1 to openshift-enterprise 3.1 on the following hosts:


2) tailf /tmp/ansible.log
2016-03-07 10:47:03,515 p=32241 u=root |  /usr/bin/ansible-playbook --inventory-file=config/.ansible/hosts /usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_1_minor/upgrade.yml
2016-03-07 10:47:03,516 p=32241 u=root |   
2016-03-07 10:47:03,861 p=32241 u=root |  PLAY [Populate config host groups] 
2016-03-07 10:47:03,894 p=32241 u=root |  TASK: [fail ] ***************************************************************** 
<--snip--->
*************************************************** 
2016-03-07 10:47:03,908 p=32241 u=root |  fatal: [localhost] => with_items expects a list or a set
2016-03-07 10:47:03,909 p=32241 u=root |  FATAL: all hosts have already failed -- aborting
2016-03-07 10:47:03,909 p=32241 u=root |  PLAY RECAP ******************************************************************** 
2016-03-07 10:47:03,909 p=32241 u=root |             to retry, use: --limit @/root/upgrade.retry

2016-03-07 10:47:03,910 p=32241 u=root |  localhost                  : ok=0    changed=0    unreachable=0    failed=1   

Expected Result:
We can upgrade to v3.2 by atomic-openshift-installer.

Additional info:
Comment 2 Devan Goodwin 2016-03-15 12:09:02 EDT
Was mistaken earlier on call, Sam already has a PR up for this one: https://github.com/openshift/openshift-ansible/pull/1536
Comment 4 Anping Li 2016-04-05 02:04:28 EDT
It support to upgrade from OSE 3.1 to OSE 3.2  now. so move to verified.
Comment 6 errata-xmlrpc 2016-05-12 12:31:31 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.